#sideBar{
    min-width: 150px;
    width: 150px;
    height: 100%;
    border-right: 4px solid #4a4a4a;
    background-color: #1f1f1f;

    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: nowrap;

    #title{
        width: 100%;
        text-align: center;
        font-family: fantasy;
        color: #c7c7c7;
        font-size: 24px;
        margin-top: 10px;
        margin-bottom: 10px;
    }
    .fullButton{
        width: 70%;
        text-align: center;
        font-family: fantasy;
        color: #c7c7c7;
        height: 26px;
        background-color: #ffffff0f;
        border-radius: 4px;
    }
    #loadButtonInput {
        display: none;
    }

    #warnTitle{
        width: 100%;
        text-align: center;
        font-family: fantasy;
        font-size: 26px;
        margin-top: 10px;
        background: linear-gradient(0deg, #ff0000, #ff9100);
        -webkit-background-clip: text;
        background-clip: text;
        color: transparent;
        display: none;
    }
    #warnText{
        width: 100%;
        text-align: center;
        font-family: fantasy;
        font-size: 18px;
        margin-bottom: 10px;
        background: linear-gradient(0deg, #ff0000, #ff9100);
        -webkit-background-clip: text;
        background-clip: text;
        color: transparent;
        display: none;
    }
    #toDo{
        width: 100%;
        margin-top: auto;
        .spacer{
            width: 100%;
            height: 4px;
            background-color: #4a4a4a;
        }
        #text{
            width: 100%;
            text-align: center;
            font-family: fantasy;
            color: #c7c7c7;
            font-size: 22px;
            margin-top: 5px;
            margin-bottom: 5px;
        }
        .toDoItem{
            width: 100%;
            font-family: fantasy;
            color: #c7c7c7;
            margin: 3px;
            font-size: 11px;
        }
        .toDoItem::before{
            content: "-";
            margin-left: 4px;
            margin-right: 4px;
        }
    }
    #bottomText{
        margin-top: 10px;
        width: 90%;
        color: #ffffff0f;
        margin-bottom: 10px;
        font-family: math;
        font-size: 10px;
    }
    #howToText{
        --sizeP: 1px;
        --sizeN: -1px;
        color: #bbbbbb;
        font-family: system-ui;
        text-align: center;
        font-size: 12px;
        height: 10px;
        z-index: 1;
        text-shadow: 
        var(--sizeP) 0 0px #1f1f1f, 
        var(--sizeN) 0 0px #1f1f1f, 
        0 var(--sizeP) 0px #1f1f1f, 
        0 var(--sizeN) 0px #1f1f1f
        ;
    }
}
#plane{
    overflow: hidden;
    height: 100%;
    flex-grow: 1;
    background-color: #323232;
    #backText{
        position: relative;
        margin: auto;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        font-family: fantasy;
        font-weight: bolder;
        font-size: 7vw;
        color: #2f2f2f6e;
        -webkit-user-select: none;
        -ms-user-select: none;
        user-select: none;
        text-align: center;
        height: 0px;
    }
    #menuBox{
        position: absolute;
        display: none;
        width: 100px;
        height: 100px;
        background-color: #1f1f1f;
        border: 2px solid #4a4a4a;
        border-radius: 4px;
        box-shadow: 0px 2px 7px #000000;
        #title{
            color: #4ec9b0;
            width: 100%;
            font-size: 16px;
            font-weight: bolder;
            font-family: monospace;
            padding: 0px;
            text-align: center;
        }

        #spacer{
            width: 100%;
            height: 2px;
            background-color: #4a4a4a;
        }
        > button{
            width: 100%;
            cursor: pointer;
            font-size: 14px;
            font-weight: bolder;
            font-family: monospace;
            padding: 0px;
            text-align: left;
            background-color: transparent;
            border: none;
            padding-left: 4px;
            transition: 0.2s;
        }
        > button:hover{
            text-shadow: 0px 1px 2px white;
        }
    }
}
.draggable{
    position: absolute;
}
.umlObj{
    background-color: #1f1f1f;
    border: 4px solid #4a4a4a;
    border-radius: 6px;
    box-shadow: 0px 5px 10px #000000;

    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */

    width: 300px;
    height: 200px;

    .close{
        width: 10px;
        height: 10px;
        position: absolute;
        justify-self: initial;
        margin-left: calc(100% - 12px);
        cursor: pointer;
        margin-top: 2px;
        stroke: transparent; 
        transition: 0.5s;
        > svg{
            transform: translate(0px, -4px);
            > path{
                fill: none; 
                stroke: inherit;
                stroke-width: 2;
            }
        }
    }
    .addField{
        width: 50px;
        height: 10px;
        position: absolute;
        font-family: fantasy;
        font-size: 10px;
        color: transparent;
        cursor: pointer;
        transition: 0.5s;
    }
    .addMeth{
        width: 60px;
        height: 10px;
        position: absolute;
        font-family: fantasy;
        font-size: 10px;
        transform: translate(0px, 12px);
        color: transparent;
        cursor: pointer;
        transition: 0.5s;
    }
    .attachPoint{
        position: absolute;
        width: 10px;
        height: 10px;
        cursor: pointer;
        background-color: transparent;
        border-radius: 10px;
        transition: 0.25s;
    }
    #attachPointTop{
        left: 50%;
        top: -7px;
    }
    #attachPointBottom{
        left: 50%;
        top: calc(100% - 2px);
    }
    #attachPointRight{
        left: calc(100% - 2px);
        top: 50%;
    }
    #attachPointLeft{
        left: -7px;
        top: 50%;
    }


    .umlTitle{
        display: flex;
        justify-content: center;
        > span{
            min-height: 30px;
            text-align: center;
            font-size: 24px;
            font-weight: bolder;
            font-family: monospace;
            padding: 0px;
            width: 100%;
            outline: none;
            border: none;
            background-color: transparent;
            color: #4ec9b0;
            cursor: text;
            input:focus, select:focus, textarea:focus, :focus {
                outline: none;
                border: none;
            }
        }
    }
    .umlSpacer{
        width: 100%;
        height: 4px;
        background-color: #4a4a4a;
        box-shadow: 0px 3px 5px #000000;
    }
    .umlField, .umlMethod{
        font-size: 14px;
        font-weight: bolder;
        font-family: monospace;
        display: flex ;
        justify-content: flex-start;
        padding-top: 2px;
        padding-bottom: 2px;
        > div:nth-child(1){
            width: 14px;
            text-align: center;
            cursor: pointer;
            color: #cccccc;
        }
        > span{
            cursor: text;
            background-color: transparent;
            outline: none;
            border: none;
            min-width: 100px;
            input:focus, select:focus, textarea:focus, :focus {
                outline: none;
                border: none;
            }
        }
        .extra{
            position: absolute;
            width: 10px;
            margin-left: calc(100% - 12px);
            height: 10px;
            display: none;
            > svg{
                cursor: pointer;
                position: absolute;
                > path{
                    fill: none; 
                    stroke:gray; 
                    stroke-width: 2;
                }
            }
            > svg:nth-child(2){
                transform: translate(-12px, 0px);
                height: 20px;
            }
            > svg:nth-child(3){
                transform: translate(-24px, 0px);
                height: 20px;
            }
        }
    }
}